# Uses of Class
org.apache.sling.event.impl.jobs.scheduling.JobSchedulerImpl

Packages that use JobSchedulerImpl
Package
Description
org.apache.sling.event.impl.jobs
org.apache.sling.event.impl.jobs.scheduling
org.apache.sling.event.impl.jobs.tasks

## Uses of JobSchedulerImpl in org.apache.sling.event.impl.jobs

Methods in org.apache.sling.event.impl.jobs that return JobSchedulerImpl
Modifier and Type
Method
Description
`JobSchedulerImpl`
JobManagerImpl.`getJobScheduler()`

## Uses of JobSchedulerImpl in org.apache.sling.event.impl.jobs.scheduling

Constructors in org.apache.sling.event.impl.jobs.scheduling with parameters of type JobSchedulerImpl
Modifier
Constructor
Description
``
`JobScheduleBuilderImpl(String topic, Map<String,Object> properties, String name, JobSchedulerImpl jobScheduler)`
``
`ScheduledJobHandler(JobManagerConfiguration configuration, JobSchedulerImpl jobScheduler)`
``
`ScheduledJobInfoImpl(JobSchedulerImpl jobScheduler, String scheduleName)`
Create a new info object

## Uses of JobSchedulerImpl in org.apache.sling.event.impl.jobs.tasks

Constructors in org.apache.sling.event.impl.jobs.tasks with parameters of type JobSchedulerImpl
Modifier
Constructor
Description
``
`CleanUpTask(JobManagerConfiguration config, JobSchedulerImpl jobScheduler)`
Constructor